//------------------------------------------------------------------------
// File name...............: KontoUdtogUdskrift.h
// Compiler................: MS-Visual C++ 5.00
// Library.................: Microsoft Foundation Classes
// Programmr..............: Bjrk Boye Busch
// Programmerings start....: 98-11-12
// Sidste opdatering.......: 98-11-12
// Revisions historie......:
// Beskrivelse.............:				   
//     Headerdefinition for KontoUdtogUdskrift-Klasse
//------------------------------------------------------------------------
#ifndef	__KontoUdtogUdskrift_h__
#define	__KontoUdtogUdskrift_h__ 

#include "ObjKlasseModel.h"
#include "PrintReport.h"


//------------------------------------------------------------------------
// Declaration af KontoUdtogUdskrift - funktionsklasse
//------------------------------------------------------------------------
class CxKontoUdtogUdskrift
{
public:
	CxKontoUdtogUdskrift	(void);		// constructor
	~CxKontoUdtogUdskrift	(void);		// destructor
private:
	void	HovedStyring	(void);

	void	PrintInit		(void);
	void	PrintFinish		(void);

	void	UdskrivSide		(void);
	void	UdskrivHeader	(void);
	void	UdskrivFoot		(void);
	void	UdskrivBody		(void);
	void	BehandlMainItem	(void);
	void	UdskrivMainItem	(void);
	void	BehandlSubItem	(void);
	void	UdskrivSubItem	(void);

	void	FirstMainItem	(void);
	BOOL	MoreMainItems	(void);
	void	NextMainItem	(void);

	void	FirstSubItem	(void);
	BOOL	MoreSubItems	(void);
	void	NextSubItem		(void);

	//	Data
	CxPrint				*pPrint;
	long				SideNr;
	long				LinieNr;
	long				LinierPrSide;
	CString				UdskriftsDato;
	CString				UdskriftsTid;
	double				Saldo;

	CxmoKontoSet			Konto;
	CxmoKontoTransaktionSet	KontoTransaktion;
	CxmoKundeKontoLinkSet	KundeKontoLink;
	CxmoKundeSet			Kunde;
	CxmoPostDistriktSet		PostDistrikt;
};

#endif
// Slut p filen KontoUdtogUdskrift.h
